# Load default processing options
imports:
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Processing.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml' }
  - { resource: "EXT:rte_ckeditor_image/Configuration/RTE/Plugin.yaml" }
  #- { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/LinkBrowser.yaml' }
# Additional optional TYPO3 specific configuration is available via ./Editor/LinkBrowser.yaml
# See https://docs.typo3.org/c/typo3/cms-rte-ckeditor/main/en-us/Configuration/Reference.html
#
# The keys typing.transformations.extra.from and htmlSupport.allow.name allow
# to have a special array with a key `pattern` that allows to specify Regular Expressions:
# - { from: { pattern: '(typoscript|TYPOScript|typo3script)$' }, to: 'TypoScript' }
# see https://docs.typo3.org/c/typo3/cms-core/main/en-us/Changelog/12.4.x/Important-104827-AllowToUseRegularExpressionsInCKEditorYAML.html
#
# Add configuration for the editor
# For complete documentation see https://ckeditor.com/docs/ckeditor5/latest/features/index.html
editor:
  externalPlugins:
    bootstrappackage_box:
      resource: "EXT:bootstrap_package/Resources/Public/CKEditor/Plugins/Box/plugin.min.js"
    bootstrappackage_columns:
      resource: "EXT:bootstrap_package/Resources/Public/CKEditor/Plugins/Columns/plugin.min.js"
    bootstrappackage_indent:
      resource: "EXT:bootstrap_package/Resources/Public/CKEditor/Plugins/Indent/plugin.min.js"
    bootstrappackage_table:
      resource: "EXT:bootstrap_package/Resources/Public/CKEditor/Plugins/Table/plugin.min.js"
  config:
    contentsCss: "EXT:risa_base_redesign/Resources/Public/Css/RTE/rte.css"
    toolbar:
      items:
        - style
        - heading
        # grouping separator
        - '|'
        - bold
        - italic
        - subscript
        - superscript
        - softhyphen
        - '|'
        - bulletedList
        - numberedList
        - blockQuote
        - alignment
        - '|'
        - findAndReplace
        - link
        - '|'
        - removeFormat
        - undo
        - redo
        - '|'
        - insertTable
        - tableColumn
        - tableRow
        - '|'
        - specialCharacters
        - horizontalLine
        - sourceEditing
        - '|'
        - insertImage

    heading:
      options:
        - { model: 'paragraph', title: 'Paragraph' }
        - { model: 'heading2', view: 'h2', title: 'Heading 2' }
        - { model: 'heading3', view: 'h3', title: 'Heading 3' }
        - { model: 'formatted', view: 'pre', title: 'Pre-Formatted Text' }

    style:
      definitions:
        - { name: "Primary Button", element: "a", classes: [ "btn", "btn-primary" ] }
        - { name: "Secondary Button", element: "a", classes: [ "btn", "btn-secondary" ] }
        - { name: "Outline Primary Button", element: "a", classes: ["btn", "btn-primary", "btn-outline"] }
        - { name: "Outline Secondary Button", element: "a", classes: ["btn", "btn-secondary", "btn-outline"] }

        - { name: "Disabled Button", element: "a", classes: ["btn", "disabled"] }



        - { name: "Large", element: "h1", classes: ["display-1"] }
        - { name: "Small", element: "h1", classes: ["display-2"] }
        - { name: "Display as H2", element: "h1", classes: ["h2"] }
        - { name: "Display as H3", element: "h1", classes: ["h3"] }
        - { name: "Display as H4", element: "h1", classes: ["h4"] }
        - { name: "Display as H5", element: "h1", classes: ["h5"] }
        - { name: "Display as H6", element: "h1", classes: ["h6"] }

        - { name: "Large", element: "h2", classes: [ "display-1" ] }
        - { name: "Small", element: "h2", classes: [ "display-2" ] }
        - { name: "Display as H1", element: "h1", classes: [ "h1" ] }
        - { name: "Display as H3", element: "h1", classes: [ "h3" ] }
        - { name: "Display as H4", element: "h1", classes: [ "h4" ] }
        - { name: "Display as H5", element: "h1", classes: [ "h5" ] }
        - { name: "Display as H6", element: "h1", classes: [ "h6" ] }

        - { name: "Large", element: "h3", classes: [ "display-1" ] }
        - { name: "Small", element: "h3", classes: [ "display-2" ] }
        - { name: "Display as H1", element: "h1", classes: [ "h1" ] }
        - { name: "Display as H2", element: "h1", classes: [ "h2" ] }
        - { name: "Display as H4", element: "h1", classes: [ "h4" ] }
        - { name: "Display as H5", element: "h1", classes: [ "h5" ] }
        - { name: "Display as H6", element: "h1", classes: [ "h6" ] }

        - { name: "Blue text", element: "p", classes: ["text-primary-blue"] }
        - { name: "Green text", element: "p", classes: ["text-primary-green"] }
        - { name: "Gold text", element: "p", classes: ["text-secondary-gold"] }
        - { name: "Success state green", element: "p", classes: ["text-success"] }
        - { name: "Warning state yellow", element: "p", classes: ["text-warning"] }
        - { name: "Error state red", element: "p", classes: ["text-error"] }
        - { name: "P Small", element: "p", classes: ["p-small"] }
        - { name: "P Big", element: "p", classes: ["p-large"] }
        - { name: "Display as H1", element: "p", classes: [ "h1" ] }
        - { name: "Display as H2", element: "p", classes: [ "h2" ] }
        - { name: "Display as H2", element: "p", classes: [ "h2" ] }
        - { name: "Display as H4", element: "p", classes: [ "h4" ] }
        - { name: "Display as H5", element: "p", classes: [ "h5" ] }
        - { name: "Display as H6", element: "p", classes: [ "h6" ] }
        - { name: "Display as subheader", element: "p", classes: [ "subheading" ] }
        - { name: "Bold (weight 700)", element: "p", classes: [ "font-bold" ] }
        - { name: "Semi Bold (weight 600)", element: "p", classes: [ "font-semi-bold" ] }
        - { name: "Extra Bold (weight 800)", element: "p", classes: [ "font-extra-bold" ] }



    alignment:
      options:
        - { name: 'left', className: 'text-start' }
        - { name: 'center', className: 'text-center' }
        - { name: 'right', className: 'text-end' }
        - { name: 'justify', className: 'text-justify' }

    table:
      defaultHeadings: { rows: 1 }
      contentToolbar:
        - tableColumn
        - tableRow
        - mergeTableCells
        - tableProperties
        - tableCellProperties
        - toggleTableCaption
    removePlugins: null
